"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueResolver = void 0;
exports.queueResolver = {
    Queue: {
        async count(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueWaitingOrDelayedJobsCount(parent.id);
        },
        async failedCount(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueFailedCount(parent.id);
        },
        async completedCount(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueCompletedCount(parent.id);
        },
        async delayedCount(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueDelayedCount(parent.id);
        },
        async activeCount(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueActiveCount(parent.id);
        },
        async waitingCount(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueWaitingCount(parent.id);
        },
        async pausedCount(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueWaitingCount(parent.id);
        },
        async jobsCounts(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueJobsCounts(parent.id);
        },
        async isPaused(parent) {
            return await parent.isPaused();
        },
        async jobs(parent, _, { dataSources: { bull } }) {
            return await bull.getQueueJobs({
                queue: parent.id,
            });
        },
        async metrics(parent, _, { dataSources: { metrics } }) {
            return await metrics.getMetrics(parent.id);
        },
    },
};
//# sourceMappingURL=queue.js.map